## linuxdoc-tools 0.9.73

=== debian/changelog ===
linuxdoc-tools (0.9.73-3) unstable; urgency=medium

  * Add temporary Build-Depends on texlive-latex-extra (Closes: #952360).
    This a workaround until #952460 ix fixed in texlive.
  * Use debhelper-compat Build-Depends. Bump version to 12.
  * Bump Standards-Version to 4.5.0.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 25 Feb 2020 12:22:25 +0100

linuxdoc-tools (0.9.73-2) unstable; urgency=medium

  * postinst,postrm: Fix wrong redirection, thanks Ralf Treinen
    (Closes: #908239,#908257).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 10 Sep 2018 12:29:27 +0200

linuxdoc-tools (0.9.73-1) unstable; urgency=medium

  * New upstream version.
  * debian/patches: Remove old patches integrated upstream.
  * debian/control: Bump Standards-Version. No changes required.
  * debian/watch: Simplify using version=4 stuff.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 03 Sep 2018 17:19:58 +0200

linuxdoc-tools (0.9.72-7) unstable; urgency=medium

  * 000_LinuxDocTools.pm_nsgmls-no-pipe.diff: Work around a bug in opensp
    when dtddecl support is enabled.
  * 001_LinuxDocTools.pm_improve-naming.diff: More explicit names for
    tempfiles. Update copyright years.
  * debian/upstream/metadata: New file with generic upstream info.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 23 Jul 2018 15:59:32 +0200

linuxdoc-tools (0.9.72-6) unstable; urgency=medium

  * debian/control:
    - Update Vcs-Browser and Vcs-Git to xml-sgml-team under salsa.
    - Simplify texlive dependencies.
    - Remove ancient versioning in some dependencies and fix others.
  * 1000_rtf2rtf_fix-typo.patch: Fix typo in rtf2rtf man page.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 15 Jun 2018 12:38:47 +0200

linuxdoc-tools (0.9.72-5) unstable; urgency=medium

  * debian/control:
    - Update Vcs* headers for salsa migration.
    - Bump Standards-Version. No changes required.
  * Bump debhelper compat level to 11.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 14 May 2018 17:48:41 +0200

=== debian/control ===
Source: linuxdoc-tools
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Uploaders: Agustin Martin Domingo <agmartin@debian.org>
Section: text
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dpkg-dev (>= 1.16.1.1),
               perl,
               flex,
               libfl-dev,
               gawk | mawk,
               opensp,
               texinfo,
               groff,
               texlive-binaries,
               texlive-latex-extra,
               texlive-latex-recommended,
               texlive-fonts-recommended
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/xml-sgml-team/linuxdoc-tools
Vcs-Git: https://salsa.debian.org/xml-sgml-team/linuxdoc-tools.git
Homepage: https://gitlab.com/agmartin/linuxdoc-tools

Package: linuxdoc-tools
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         opensp,
         sgml-data,
         gawk | mawk
Suggests: texinfo,
          info-browser,
          groff,
          texlive-latex-recommended,
          linuxdoc-tools-text,
          linuxdoc-tools-latex,
          linuxdoc-tools-info
Breaks: linuxdoc-sgml,
        sgml-tools,
        linuxdoc-tools-text (<< 0.9.20),
        linuxdoc-tools-info (<< 0.9.20),
        linuxdoc-tools-latex (<< 0.9.20)
Provides: linuxdoc-sgml
Replaces: linuxdoc-sgml,
          sgml-tools
Description: convert LinuxDoc SGML source into other formats
 LinuxDoc sgml is a highly configurable text format for writing
 documentation, something like html only it's simpler and can be
 converted to various other formats, including html for websites.
 You write a LinuxDoc document using any text editor such as vim.
 Then you use linuxdoc-tools to convert it to html, rtf, plain-text
 (install linuxdoc-tools-text), info (install linuxdoc-tools-info),
 LaTeX, dvi or postscript (install linuxdoc-tools-latex). The
 sgmltools-lite package can convert LinuxDoc to DocBook format.
 .
 LinuxDoc can automatically create a table of contents.  It's easier to
 write and read than DocBook since it allows one to omit most closing
 tags while paragraphs are separated by just blank lines.

Package: linuxdoc-tools-text
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         linuxdoc-tools,
         groff
Breaks: linuxdoc-tools (<< 0.9.20)
Description: Text output facility of LinuxDoc-Tools
 LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
 This is a dependency package to provide the required dependencies
 for text conversion facility of LinuxDoc-Tools.
 See the description of linuxdoc-tools package for more detail.

Package: linuxdoc-tools-latex
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         linuxdoc-tools,
         texlive-latex-recommended
Breaks: linuxdoc-tools (<< 0.9.20)
Description: LaTeX/PS/PDF output facility of LinuxDoc-Tools
 LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
 This is a dependency package to provide the required dependencies
 for LaTeX/PS/PDF conversion facility of LinuxDoc-Tools.
 See the description of linuxdoc-tools package for more detail.

Package: linuxdoc-tools-info
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         linuxdoc-tools,
         texinfo
Breaks: linuxdoc-tools (<< 0.9.20)
Description: Info output facility of LinuxDoc-Tools
 LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
 This is a dependency package to provide the required dependencies
 for info conversion facility of LinuxDoc-Tools.
 See the description of linuxdoc-tools package for more detail.

=== debian/rules ===
#!/usr/bin/make -f
#
# Rules makefile for linuxdoc-tools package
#
# Copyright (C) 2007-2016 Agustin Martin <agmartin@debian.org>
#
# Based on debhelper examples by Joey Hess and former Debian/rules
# by Taketoshi Sano and Sven Rudolph
# --------------------------------------------------------------

SHELL     = /bin/bash

package   = linuxdoc-tools
copyright = debian/$(package).copyright
DESTDIR   = $(CURDIR)/debian/tmp

# -- For FHS transition
MANDIR    = /usr/share/man

# Get default build flags for maximum hardening (Needs dpkg-dev >= 1.16.1.1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# -- Create linuxdoc-tools copyright file by merging some files

define build_ldt_copyright
	cat debian/copyright                                           > $(copyright)
	echo -e '\n------------------\n The linuxdoc-tools license\n' >> $(copyright)
	cat COPYING                                                   >> $(copyright)
	echo -e '\n------------------\n The sgmls license\n'          >> $(copyright)
	cat sgmls-1.1/LICENSE                                         >> $(copyright)
# sp is no longer included.
#	echo -e '\n------------------\n The sp license\n' >>\
#		debian/$(package).copyright
#	cat sp/COPYING >> debian/$(package).copyright
	echo -e '\n------------------\n The iso-entities license\n'   >> $(copyright)
	cat iso-entities/COPYING                                      >> $(copyright)
	echo -e '\n------------------\n The entity-map license\n'     >> $(copyright)
	cat entity-map/COPYING                                        >> $(copyright)
endef

# The next section may have to be extensively modified

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr \
	 	--mandir=$(MANDIR) \
		--with-installed-nsgmls \
		--with-auxbindir=/usr/lib/linuxdoc-tools \
		--with-perllibdir=/usr/share/perl5 \
		--with-texdir=/usr/share/texmf/tex/latex/misc

	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

	$(build_ldt_copyright)

	for i in text latex info; do \
		ln -sf copyright.dependencies \
			debian/$(package)-$$i.copyright; \
	done

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f debian/$(package)-{text,latex,info}.copyright
	rm -f debian/$(package).copyright
	rm -f linuxdoc.new LinuxDocTools.pm.new doc/linuxdoc-sgml.info

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

# --- do 'make install'
	$(MAKE)	DESTDIR=$(DESTDIR) install

# --- Install shell scripts for sgml2{txt,latex,info}
	for i in txt latex info; do \
	  install -m 755 debian/addition/sgml2$$i \
	    $(DESTDIR)/usr/bin/sgml2$$i; \
	done
# ---
	cat debian/linuxdoc-tools.info-base doc/guide.info > doc/linuxdoc-sgml.info
	dh_installinfo doc/linuxdoc-sgml.info
# ---
	mkdir -p $(DESTDIR)/usr/share/sgml
	( cd $(DESTDIR)/usr/share/linuxdoc-tools && mv dtd ../sgml )

binary-indep:
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs  -i
	dh_installdocs  -i
	dh_installman  -i
	dh_link  -i
	dh_strip  -i
	dh_compress  -i -X.pdf
	dh_fixperms  -i
	dh_installdeb  -i
	dh_shlibdeps  -i
	dh_gencontrol  -i
	dh_md5sums  -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs  -a
	# - Docs are installed by dh_installdocs
	# - We use entities from sgml-data package
	dh_install -a --sourcedir=$(DESTDIR) -Xusr/share/doc -Xusr/share/sgml/iso-entities-8879.1986  '*'
	dh_installdocs  -a -Xdoc/guide.info
	dh_installman  -a
	dh_link -a usr/share/info/linuxdoc-sgml.info.gz \
		usr/share/doc/linuxdoc-tools/linuxdoc-sgml.info.gz
	dh_link -a usr/share/sgml/dtd usr/share/linuxdoc-tools/dtd
	dh_installcatalogs -a
	dh_perl -a
	dh_strip  -a
	dh_compress  -a -X.pdf
	dh_fixperms  -a
	dh_installdeb  -a
	dh_shlibdeps  -a
	dh_gencontrol  -a
	dh_md5sums  -a
	dh_builddeb -a


# Below here is fairly generic really

binary:	binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## linuxdoc-tools 0.9.76

=== debian/changelog ===
linuxdoc-tools (0.9.76-1) unstable; urgency=medium

  * New upstream version.

 -- Agustin <agmartin@debian.org>  Mon, 06 Apr 2020 13:41:20 +0200

linuxdoc-tools (0.9.75-1) unstable; urgency=medium

  * New upstream version.
  * control: texlive-latex-extra is no longer needed as a Build-Dep.

 -- Agustin <agmartin@debian.org>  Sun, 15 Mar 2020 13:28:59 +0100

linuxdoc-tools (0.9.74-1) unstable; urgency=medium

  * New upstream version.
    - Preliminary implementation of utf-8 charset support.
    - Make latex backend quiet by default. New --verbosity option for
      verbosity selection.
    - Pass @documentencoding to texinfo for supported charsets.
  * 001_Add-utf8-option.diff: Remove. Integrated upstream.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 04 Mar 2020 19:27:31 +0100

linuxdoc-tools (0.9.73-4) unstable; urgency=medium

  * Preliminary implementation of utf-8 charset.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 27 Feb 2020 16:28:32 +0100

## linuxdoc-tools 0.9.77

=== debian/changelog ===
linuxdoc-tools (0.9.77-1) unstable; urgency=medium

  * New upstream version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 30 Apr 2020 23:06:26 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                texinfo,
                groff,
                texlive-binaries,
-               texlive-latex-extra,
                texlive-latex-recommended,
                texlive-fonts-recommended
 Standards-Version: 4.5.0

## linuxdoc-tools 0.9.78

=== entity-map/sdata/Makefile ===
SHELL= /bin/sh
SDATA0FILES = \
 ISOlat1 ISOlat1.2ab ISOlat1.2as ISOlat1.2html ISOlat1.2l1b ISOlat1.2tex \
 ISOlat2 ISOlat2.2ab ISOlat2.2as ISOlat2.2rtf ISOlat2.2tex ISOlat2.2texi \
 ISOdia ISOdia.2ab ISOdia.2as ISOdia.2html ISOdia.2tex ISOdia.2tr \
 ISOnum ISOnum.2ab ISOnum.2as ISOnum.2html ISOnum.2l1b ISOnum.2l1s ISOnum.2rtf \
 ISOnum.2tex ISOnum.2texi ISOnum.2tr ISOnum.2l1tr \
 ISOpub ISOpub.2ab ISOpub.2as ISOpub.2html ISOpub.2l1b ISOpub.2rtf ISOpub.2l1s \
 ISOpub.2tex ISOpub.2texi ISOpub.2tr \
 ISOtech ISOtech.2ab ISOtech.2as ISOtech.2html ISOtech.2l1b ISOtech.2l1s \
 ISOtech.2rtf ISOtech.2tex ISOtech.2texi ISOtech.2tr \
 GFextra.2ab  GFextra.2as  GFextra.2tex   GFextra.2texi \
 LDextra.2tex LDextra.2tr LDextra.2html \
 greek.2html lat1.2sdata

SDATA8FILES = ISOlat1.2u8b ISOnum.2u8b ISOpub.2u8b ISOtech.2u8b
SDATA8LINKS = ISOlat1.2u8s ISOlat1.2u8tr ISOdia.2u8b GFextra.2u8b

SDATAFILES = $(SDATA0FILES) $(SDATA8FILES) $(SDATA8LINKS)

.SUFFIXES: .2ab .2l1b .2u8b

default: $(SDATA8FILES) $(SDATA8LINKS)

.2l1b.2u8b:
	iconv -f iso-8859-1 -t utf-8 $< > $@

ISOlat1.2u8s ISOlat1.2u8tr: ISOlat1.2u8b
	ln -s $< $@

ISOdia.2u8b: ISOdia.2ab
	ln -s $< $@

GFextra.2u8b: GFextra.2ab
	ln -s $< $@

install: $(SDATAFILES8)
	$(INSTALL) -d $(LIBDIR)
	$(INSTALL_DATA) $(SDATAFILES) $(LIBDIR)
	(cd $(LIBDIR); \
	 rm -f ISOlat1.2rtf ISOlat1.2texi ISOlat1.2tr ISOlat1.2l1s ISOlat1.2l1tr \
	       ISOlat2.2l1b ISOlat2.2l1s \
	       ISOdia.2rtf ISOdia.2texi ISOdia.2l1b ISOdia.2l1s ISOdia.2l1tr \
	       ISOpub.2l1tr \
	       ISOtech.2l1tr \
	       GFextra.2l1b GFextra.2rtf \
	       LDextra.2l1tr; \
	ln -s ISOlat1.2ab ISOlat1.2rtf; \
	ln -s ISOlat1.2ab ISOlat1.2texi; \
	ln -s ISOlat1.2ab ISOlat1.2tr; \
	ln -s ISOlat1.2l1b ISOlat1.2l1s; \
	ln -s ISOlat1.2l1b ISOlat1.2l1tr; \
	ln -s ISOlat2.2ab ISOlat2.2l1b; \
	ln -s ISOlat2.2as ISOlat2.2l1s; \
	ln -s ISOdia.2ab ISOdia.2rtf; \
	ln -s ISOdia.2ab ISOdia.2texi; \
	ln -s ISOdia.2ab ISOdia.2l1b; \
	ln -s ISOdia.2as ISOdia.2l1s; \
	ln -s ISOdia.2tr ISOdia.2l1tr; \
	ln -s ISOpub.2tr ISOpub.2l1tr; \
	ln -s ISOtech.2tr ISOtech.2l1tr; \
	ln -s GFextra.2ab GFextra.2l1b; \
	ln -s GFextra.2ab GFextra.2rtf; \
	ln -s GFextra.2as GFextra.2l1s; \
	ln -s LDextra.2tr LDextra.2l1tr;)

clean-utf8:
	rm -f $(SDATA8FILES) $(SDATA8LINKS)

clean: clean-utf8
	${RM} *~

=== debian/changelog ===
linuxdoc-tools (0.9.78-1) unstable; urgency=medium

  * New upstream version 0.9.78.
  * debian/watch: Adjust for gitlab structure.
  * debian/control: Raise debhelper compat level to 13.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 11 May 2020 00:12:05 +0200

## linuxdoc-tools 0.9.79

=== debian/changelog ===
linuxdoc-tools (0.9.79-1) unstable; urgency=medium

  * New upstream version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 19 May 2020 00:20:51 +0200

## linuxdoc-tools 0.9.80

=== debian/changelog ===
linuxdoc-tools (0.9.80-1) unstable; urgency=medium

  * New upstream version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 19 May 2020 15:54:31 +0200

## linuxdoc-tools 0.9.81

=== debian/changelog ===
linuxdoc-tools (0.9.81-1) unstable; urgency=medium

  * New upstream version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Sun, 14 Jun 2020 12:21:26 +0200

## linuxdoc-tools 0.9.82

=== doc/example/Makefile ===
#! /bin/make -f
#
# Makefile to convert the example.sgml

# old multiple commands way
# COMMAND=sgml2

# new single command approach
COMMAND=linuxdoc --backend=

srcfiles = example.sgml example-tr.sgml logo.png logo.eps.gz Makefile
allext   = .txt .html .tex .dvi .ps .pdf .info .lyx .rtf
files    = $(addprefix example, $(allext))
trfiles  = $(addprefix example-tr, $(allext))
allfiles = $(files) $(trfiles)

all: $(allfiles)
	@echo "all output formats are created!"


%.txt: %.sgml
	$(COMMAND)txt $<

%.html: %.sgml
	$(COMMAND)html  $<

%.tex: %.sgml
	$(COMMAND)latex -o tex  $<

%.dvi: %.sgml logo.eps
	$(COMMAND)latex -o dvi  $<

%.ps: %.sgml logo.eps
	$(COMMAND)latex -o ps  $<

%.pdf: %.sgml logo.eps
	$(COMMAND)latex -o pdf  $<

%.info: %.sgml
	$(COMMAND)info  $<

%.lyx: %.sgml logo.eps
	$(COMMAND)lyx  $<

%.rtf: %.sgml
	$(COMMAND)rtf $<

logo.eps: logo.eps.gz
	gzip -d -c $< > $@

pack: distclean
	tar -cvzf ../linuxdoc-test-tr.tar.gz $(srcfiles)

distclean: clean
	rm -f *~ logo.eps

clean:
	rm -f *.txt *.html *.tex *.dvi *.ps *.pdf *.info *.lyx *.rtf

=== extras/contrib/bk/Makefile ===
################################################################################
#
# $Id: Makefile,v 1.1.1.1 2001/05/24 15:57:40 sano Exp $
#
################################################################################

# Name des aktuellen Subdirectory's und Version der Software
PACKAGE	=

SHELL	= /bin/sh

################################################################################
#                                                                              #
#                    Start of system configuration section.                    #
#                                                                              #
################################################################################


################################################################################
#                                                                              #
#                              Implicit Rules                                  #
#                                                                              #
################################################################################


# ETEX 2 GIF
%.gif: %.etex
	wrapetex $< | latex | dvips f | pstogif

# GIF 2 EPS
%.eps: %.tif
	tiff2ps $< > $@

%.tif: %.gif
	gif2tiff $< $@

%.txt:  %.sgml
	sgml2txt $<

%.tex:	%.sgml
	sgml2latex -d $<

%.dvi:	%.sgml
	sgml2latex $<

%.info: %.sgml
	sgml2info $<

%.ps:	%.dvi
	dvips $<

%.html:	%.sgml
	sgml2html $<


# Test suite, more to come.
all:	ldoc97 sgmlt ldocs


# Checking Linuxdoc96 (Strict)
ldoc97: minimal sample \
	entity section lists glossary96

# Checking Linuxdoc97 (Extended)
sgmlt:  glossary code math tables picture citation \
	appendix refs notes

# Documentation
ldocs:    example guide aspdoc

# Work in progress
work:    unsupp


clean:
	rm -f *.html *.tex *.txt *.dos *.dvi *.ps *~
	rm -f *.info *.glo *.aux *.log

#
# Test files
#
minimal:   minimal.ps minimal.html minimal.txt minimal.info
sample:	   sample.ps sample.html sample.txt sample.info
entity:	   entity.ps entity.html entity.txt entity.info
section:   section.ps section.html section.txt section.info
lists:     lists.ps lists.html lists.txt lists.info

glossary96:	\
	   glossary96.html glossary96.ps glossary96.txt glossary96.info



glossary:  glossary.html glossary.ps glossary.txt glossary.info
appendix:  appendix.html appendix.ps appendix.txt appendix.info
notes:     notes.html notes.ps notes.txt notes.info

tables:    tables.ps tables.html tables.txt tables.info
code:	   code.html code.ps code.txt code.info
refs:	   refs.html refs.ps refs.txt refs.info

math:	   math.etex f.etex \
	   math.html math.ps math.txt math.info


picture:   picture.eps picture.gif \
	   small_picture.eps small_picture.gif \
	   picture.ps picture.html picture.txt picture.info \

citation:  sgmltool.bib bibtex.bib \
	   citation.ps citation.html citation.txt citation.info


#
# These might fail.
#
subdoc:	   subdoc.html subdoc.ps subdoc.txt subdoc.info
test:	test.eps test.ps test.html test.txt test.info
unsupp:	 unsupp.ps unsupp.html unsupp.txt unsupp.info

#
# Linuxdoc SGML stuff, temporary
#
example: example.ps example.html example.txt example.info
guide:	guide.ps guide.html guide.txt guide.info
aspdoc:	aspdoc.ps aspdoc.html aspdoc.txt aspdoc.info

howto:  howto.ps howto.html howto.txt howto.info

#
# Kludge, kludge
#
SGMLT=/usr/local/lib/sgml-tools/
archive:
	rm -f test/*
	cp -a Makefile *.sgml *.gif *.bib *.eps *.etex  test/
	rm -f test.tgz
	tar -zcvf test.tgz test
	cat test.tgz | uuencode test.tgz > test.uue

dtd:
	rm -f dtd/*
	cp -a $(SGMLT)/dtd/*  dtd/
	rm -f dtd.tgz
	tar -zcvf dtd.tgz dtd
	cat dtd.tgz | uuencode dtd.tgz > dtd.uue


#	rm -f fixed/*
#	cp -a $(SGMLT)/rep/html/mapping fixed/html.mapping
#	cp -a $(SGMLT)/rep/latex2e/mapping  fixed/latex2e.mapping
#	cp -a $(SGMLT)/linuxdoc-sgml.sty     fixed/
#	cp -a $(SGMLT)/fmt_html.pl      fixed/
#	cp -a $(SGMLT)/fmt_latex2e.pl   fixed/


### Emacs specials
###
### Local Variables: ***
### mode:text ***
### tab-width:8 ***
### End: ***

=== debian/changelog ===
linuxdoc-tools (0.9.82-1) unstable; urgency=medium

  *  New upstream version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Sun, 21 Jun 2020 15:41:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Agustin Martin Domingo <agmartin@debian.org>
 Section: text
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                perl,
                flex,

=== debian/watch ===

version=4

https://gitlab.com/agmartin/linuxdoc-tools/-/tags \
  (?:.*/)@PACKAGE@@ANY_VERSION@\.tar\.gz

## linuxdoc-tools 0.9.83

=== debian/changelog ===
linuxdoc-tools (0.9.83-2) unstable; urgency=medium

  * debian/patches/0001-Makefile.in-distclean-rm-2-more-files.patch:
    Makefile.in::distclean: Remove entity-map/sdata/Makefile and
    doc/guide.pdf (Closes: #1048869).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 30 Aug 2023 14:49:07 +0200

linuxdoc-tools (0.9.83-1) unstable; urgency=medium

  * New upstream version.
    - sgmls: Avoid implicit ints/function declarations in configure,
      (Closes: #1034362).
    - sgmls: Deal with C23 making -Wstrict-prototypes error by default.
  * debian/control:
    - Add "Rules-Requires-Root: no" to source section.
    - Bump Standards-Version. No changes required.
  * New linuxdoc-tools.lintian-overrides file. Enable dh_lintian.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 12 Jun 2023 23:09:49 +0200

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,11 @@
                texlive-binaries,
                texlive-latex-recommended,
                texlive-fonts-recommended
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/xml-sgml-team/linuxdoc-tools
 Vcs-Git: https://salsa.debian.org/xml-sgml-team/linuxdoc-tools.git
 Homepage: https://gitlab.com/agmartin/linuxdoc-tools
+Rules-Requires-Root: no
 
 Package: linuxdoc-tools
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -128,6 +128,7 @@
 		usr/share/doc/linuxdoc-tools/linuxdoc-sgml.info.gz
 	dh_link -a usr/share/sgml/dtd usr/share/linuxdoc-tools/dtd
 	dh_installcatalogs -a
+	dh_lintian -a
 	dh_perl -a
 	dh_strip  -a
 	dh_compress  -a -X.pdf

## linuxdoc-tools 0.9.84

=== debian/changelog ===
linuxdoc-tools (0.9.84-1) unstable; urgency=medium

  * New upstream version.
    - Add partial support for Farsi and right-to-left mode for html
      backend. Thanks Alireza Arzehgar.
    - Other minor changes.
    - 0001-Makefile.in-distclean-rm-2-more-files.patch: Remove.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 09 Sep 2024 23:37:26 +0200

linuxdoc-tools (0.9.83-3) unstable; urgency=medium

  * debian/upstream/signing-key_OFF.asc: Add (disabled) upstream gpg key.
  * debian/watch: Change for new gitlab location.
  * debian/control: Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 18 Jun 2024 00:01:59 +0200

## linuxdoc-tools 0.9.85

=== debian/changelog ===
linuxdoc-tools (0.9.85-2) unstable; urgency=medium

  * d/p/1000-Wold-style-definition.diff: Deal with warning: old-style
    function definition [-Wold-style-definition]

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 10 Mar 2025 14:52:24 +0100

linuxdoc-tools (0.9.85-1) unstable; urgency=medium

  * New upstream release.
  * linuxdoc-tools.lintian-overrides:
    - Remove obsolete override for Lang.pm. Language strings are now utf8.
    - New override for local README files in mapping dirs.
  * linuxdoc-tools.links: Set some symlinks here, not in debian/rules.
  * debian/copyright{,.dependencies}: Make DEP-5.
  * debian/rules:
    - Fix build-{stamp,arch,indep} targets.
    - Use --with-dtddir=/usr/share/sgml/dtd to set dtd installation dir.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 24 Sep 2024 09:53:47 +0200

=== debian/watch ===

version=4

opts="searchmode=plain" \
	https://gitlab.com/agmartin/@PACKAGE@/tags \
	-/archive/v?\d[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## linuxdoc-tools 0.9.86

=== doc/Makefile ===


%.txt: %.sgml
	@echo "- Building txt docs" >&2
	$(TMPDIR)/linuxdoc --backend=txt --filter --blanks=1 $<

%.pdf: %.sgml
	@echo "- Building pdf docs" >&2
	$(TMPDIR)/linuxdoc --backend=latex \
			--output=pdf \
			--pass="\usepackage{times}" $<

%.info: %.sgml
	@echo "- Building info docs" >&2
	$(TMPDIR)/linuxdoc --backend=info $<

%.lyx: %.sgml
	@echo "- Building lyx docs" >&2
	$(TMPDIR)/linuxdoc --backend=lyx $<

html/%.html: %.sgml
	@echo "- Building html docs" >&2
	$(TMPDIR)/linuxdoc --imagebuttons --backend=html $<
	mv -f ./guide*.html ./html

rtf/%.rtf: %.sgml
	@echo "- Building rtf docs" >&2
	$(TMPDIR)/linuxdoc --backend=rtf $<
	mkdir -m 755 -p ./rtf
	mv -f ./guide*.rtf ./rtf

%.dvi: %.sgml
	@echo "- Building dvi docs" >&2
	$(TMPDIR)/linuxdoc --backend=latex \
			--output=dvi \
			--pass="\usepackage{times}" $<

%.ps: %.dvi
	@echo "- Building ps docs" >&2
	dvips -t $(DVIPS_PAPER) -o $@ $<

%.ps.gz: %.ps
	@echo "- Building ps.gz docs" >&2
	gzip -fn $<

=== debian/changelog ===
linuxdoc-tools (0.9.86-1) unstable; urgency=medium

  * New upstream release.
    - Improve man pages (Closes: #1101840).
    - 0001-Fix-warnings-old-style-function-definition-Wold-styl.patch:
      Remove, fixed upstream.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 08 Apr 2025 00:40:32 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                texlive-binaries,
                texlive-latex-recommended,
                texlive-fonts-recommended
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/xml-sgml-team/linuxdoc-tools
 Vcs-Git: https://salsa.debian.org/xml-sgml-team/linuxdoc-tools.git
 Homepage: https://gitlab.com/agmartin/linuxdoc-tools

=== debian/rules ===
#!/usr/bin/make -f
#
# Rules makefile for linuxdoc-tools package
#
# Copyright (C) 2007-2024 Agustin Martin <agmartin@debian.org>
#
# Based on debhelper examples by Joey Hess and former Debian/rules
# by Taketoshi Sano and Sven Rudolph
# --------------------------------------------------------------

SHELL     = /bin/bash

package   = linuxdoc-tools
copyright = debian/$(package).copyright
DESTDIR   = $(CURDIR)/debian/tmp

# -- For FHS transition
MANDIR    = /usr/share/man

# Get default build flags for maximum hardening (Needs dpkg-dev >= 1.16.1.1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# The next section may have to be extensively modified

build: build-arch build-indep
build-arch:
	dh_testdir

	./configure --prefix=/usr \
	 	--mandir=$(MANDIR) \
		--with-installed-nsgmls \
		--with-auxbindir=/usr/lib/linuxdoc-tools \
		--with-perllibdir=/usr/share/perl5 \
		--with-dtddir=/usr/share/sgml/dtd \
		--with-texdir=/usr/share/texmf/tex/latex/misc

	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

build-indep:
	dh_testdir

	for i in text latex info; do \
		ln -sf copyright.dependencies \
			debian/$(package)-$$i.copyright; \
	done

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f debian/$(package)-{text,latex,info}.copyright
	rm -f linuxdoc.new LinuxDocTools.pm.new doc/linuxdoc-sgml.info

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

# --- do 'make install'
	$(MAKE)	DESTDIR=$(DESTDIR) install

# --- Install shell scripts for sgml2{txt,latex,info}
	for i in txt latex info; do \
	  install -m 755 debian/addition/sgml2$$i \
	    $(DESTDIR)/usr/bin/sgml2$$i; \
	done
# ---
	cat debian/linuxdoc-tools.info-base doc/guide.info > doc/linuxdoc-sgml.info
	dh_installinfo doc/linuxdoc-sgml.info

binary-indep: build-indep
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs  -i
	dh_installdocs  -i
	dh_installman  -i
	dh_link  -i
	dh_strip  -i
	dh_compress  -i -X.pdf
	dh_fixperms  -i
	dh_installdeb  -i
	dh_shlibdeps  -i
	dh_gencontrol  -i
	dh_md5sums  -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs  -a
	# - Docs are installed by dh_installdocs
	# - We use entities from sgml-data package
	dh_install -a --sourcedir=$(DESTDIR) -Xusr/share/doc -Xusr/share/sgml/iso-entities-8879.1986  '*'
	dh_installdocs  -a -Xdoc/guide.info
	dh_installman  -a
	dh_link -a
	dh_installcatalogs -a
	dh_lintian -a
	dh_perl -a
	dh_strip  -a
	dh_compress  -a -X.pdf
	dh_fixperms  -a
	dh_installdeb  -a
	dh_shlibdeps  -a
	dh_gencontrol  -a
	dh_md5sums  -a
	dh_builddeb -a


# Below here is fairly generic really

binary:	binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
